Subject: Re: [PATCH net-next 1/1] netns: IPv6 address labels per namespace.

From: Benjamin Thery <[email-masked]>
Date: Wed, 28 May 2008 14:14:26 +0200

YOSHIFUJI Hideaki / ???? wrote:
> In article <[email-masked]> (at Tue, 27 May 2008 16:40:42 +0200), Benjamin Thery <[email-masked]> says:
> 
>> This patch makes IPv6 address labels per network namespace.
>> It keeps the global label tables, ip6addrlbl_table, but 
>> adds a 'net' member to each ip6addrlbl_entry.
>> This new member is taken into account when matching labels.
> 
> Could you please eliminate penalty without namespece
> like dev_net() etc.?

Yes, sure.
In fact, I already have got a patch ready which ifdef's the 'net'
member and use xxx_net() functions. But it introduces a few #ifdef
CONFIG_NET_NS in net/ipv6/addrlabel.c and I wasn't sure which one was
the best for inclusion.

I'll send a v2 this afternoon.

--benjamin

> --yoshfuji

-- 
B e n j a m i n   T h e r y  - BULL/DT/Open Software R&D

    http://www.bull.com